%define anolis_release 1
%define debug_package %{nil}

%global pypi_name charset-normalizer
%global pypi_version 3.0.1
%global specrelname charset_normalizer

Name:           python-charset-normalizer
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        The Real First Universal Charset Detector. Open, modern and actively maintained alternative to Chardet.
License:        MIT
URL:            https://github.com/Ousret/charset_normalizer
Source0:        https://files.pythonhosted.org/packages/96/d7/1675d9089a1f4677df5eb29c3f8b064aa1e70c1251a0a8a127803158942d/%{pypi_name}-%{pypi_version}.tar.gz



BuildRequires:  gcc cmake
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python-srpm-macros
BuildRequires:  python3-pytest
BuildArch:      noarch

%description
A library that helps you read text from an unknown charset encoding.
Motivated by chardet, trying to resolve the issue by taking
a new approach. All IANA character set names for which the Python core
library provides codecs are supported.

%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
A library that helps you read text from an unknown charset encoding.
Motivated by chardet, trying to resolve the issue by taking
a new approach. All IANA character set names for which the Python core
library provides codecs are supported.

%package -n python3-%{pypi_name}-doc
Summary:        %{summary}
BuildArch:      noarch
Requires:       python3-%{pypi_name} = %{version}-%{release}

%description -n python3-%{pypi_name}-doc
%{description}

%prep
%autosetup -n %{pypi_name}-%{version} -p1
# Remove pytest-cov settings from setup.cfg
sed -i "/addopts = --cov/d" setup.cfg

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files charset_normalizer

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%{_bindir}/normalizer

%{python3_sitelib}/charset_normalizer
%{python3_sitelib}/charset_normalizer-%{pypi_version}.dist-info/

%files -n python3-%{pypi_name}-doc
%doc README.md CHANGELOG.md


%changelog 
* Fri Dec 30 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.0.1-1
- update to version 3.0.1

* Mon Apr 18 2022 Zhongling He <zhonglingh@linux.alibaba.com> 2.0.12-1
- Init package from upstream v2.0.12
